Subject: [apps-discuss] [Editorial Errata Reported] RFC7320 (4063)

From: RFC Errata System <[email-masked]>
Date: Fri, 25 Jul 2014 09:04:21 -0700 (PDT)

The following errata report has been submitted for RFC7320,
"URI Design and Ownership".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7320&eid=4063

--------------------------------------
Type: Editorial
Reported by: Dale Worley <[email-masked]>

Section: 2.1 and 5.2

Original Text
-------------
Section 2.1 says "MUST do so by modifying [BCP115]".

Section 5.2 says

   [BCP115]   Hansen, T., Hardie, T., and L. Masinter, "Guidelines and
              Registration Procedures for New URI Schemes", RFC 4395,
              BCP 115, February 2006.

Corrected Text
--------------
Section 2.1 should say "MUST do so by modifying [BCP35]".

Section 5.2 should say

   [BCP35]    Hansen, T., Hardie, T., and L. Masinter, "Guidelines and
              Registration Procedures for New URI Schemes", RFC 4395,
              BCP 35, February 2006.

Notes
-----
RFC 4395 is BCP 35, not BCP 115.  See the entry in bcp-index.txt:

0115 [BCP number 115 is retired. It was mistakenly assigned to RFC
     4395. RFC 4395 is BCP 35.]

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7320 (draft-ietf-appsawg-uri-get-off-my-lawn-05)
--------------------------------------
Title               : URI Design and Ownership
Publication Date    : July 2014
Author(s)           : M. Nottingham
Category            : BEST CURRENT PRACTICE
Source              : Applications Area Working Group
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 25 Jul 2014 13:43:14 -0700

This appears to be correct:
  http://w3-org.9356.n7.nabble.com/RFC-4395-should-replace-BCP-35-not-separate-BCP-td137454.html

But I note that RFC4395 *still* lists itself as BCP 115:
  http://tools.ietf.org/html/rfc4395

*sigh*

--
Mark Nottingham   http://www.mnot.net/

---

From: RFC Editor <[email-masked]>
Date: Mon, 28 Jul 2014 09:38:14 -0700

Greetings All,

The metadata for RFC 4395 is correct in the RFC Editor database.  The
metadata was updated when EID 1673 was approved; our apologies for
missing the update in RFC 7320.  We have sent mail requesting that the
metadata for RFC 4395 in the datatracker be updated accordingly. 

Thank you,
RFC Editor/sg

On Mon, Jul 28, 2014 at 11:22:21AM -0400, Dale R. Worley wrote:
> > From: Mark Nottingham <[email-masked]>
> 
> At least there's an erratum on that:
> http://www.rfc-editor.org/errata_search.php?eid=1673
> 
> Is "listing itself as a BCP" meta-data that is changeable?
> 
> Dale

---

From: [email-masked] (Dale R. Worley)
Date: Mon, 28 Jul 2014 11:22:21 -0400

Dale